#/bin/sh

# Script to choose the best ULong2Long defn (in ULong2Long.H).
# The defn is chosen by setting the CPP flag COCOA_ULONG2LONG.

# !!! ASSUMES cwd is CoCoA_ROOT/configuration !!!

if [ -z "$CXX" ]
then
  echo "$0: ***ERROR*** \$CXX variable is not defined"  > /dev/stderr
  exit 99
fi

# Try the three possible settings for the flag COCOA_ULONG2LONG.
# Print out the first which works (and exit with code 0).
# If none works, print an error message, and exit with code 1.
# If compilation fails, print error message, & exit with code 99.

for defn in 1 2 3
do
  CPPFLAG="-DCOCOA_ULONG2LONG=$defn"
  $CXX $CXXFLAGS $CPPFLAGS -I../include  CheckULong2Long.C -o CheckULong2Long
  if [ $? -ne 0 ]
  then
    echo "***ERROR*** [[$0]]  Compilation of test program failed"
    exit 99
  fi
  ./CheckULong2Long
  TROUBLE=$?
  /bin/rm -f ./CheckULong2Long
  if [ $TROUBLE = 0 ]
  then
    echo "$CPPFLAG"
    exit 0
  fi
done

echo "*** Failed to determine a working defn of ULong2Long ***"
exit 1
